summaryrefslogtreecommitdiff
path: root/infra/nnfw/command/docker-shell
diff options
context:
space:
mode:
Diffstat (limited to 'infra/nnfw/command/docker-shell')
-rw-r--r--infra/nnfw/command/docker-shell13
1 files changed, 13 insertions, 0 deletions
diff --git a/infra/nnfw/command/docker-shell b/infra/nnfw/command/docker-shell
new file mode 100644
index 000000000..1413a7ade
--- /dev/null
+++ b/infra/nnfw/command/docker-shell
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+import "docker.configuration"
+
+DOCKER_RUN_OPTS+=" -it"
+docker run $DOCKER_RUN_OPTS $DOCKER_ENV_VARS $DOCKER_VOLUMES $DOCKER_IMAGE_NAME "/bin/bash"
+EXITCODE=$?
+
+docker_cleanup
+
+if [ $EXITCODE -ne 0 ]; then
+ exit $EXITCODE
+fi